diff -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./src/daemon/common/guiEncoding.ml ./src/daemon/common/guiEncoding.ml
--- ./src/daemon/common/guiEncoding.ml	2005-04-04 21:36:46.000000000 +0200
+++ ./src/daemon/common/guiEncoding.ml	2005-04-04 22:34:51.000000000 +0200
@@ -1129,9 +1137,9 @@
   for best_gui_version = best_gui_version downto 20 do
 (*     lprintf "best_gui_version: %d\n" best_gui_version; *)
     let proto = Array.create (to_gui_last_opcode+1) best_gui_version in
-    let to_gui = to_gui proto (fun s -> s) in
+    let to_gui = to_gui proto in
     let check_to_gui = 
-      check to_gui (GuiDecoding.to_gui proto (fun s -> s)) in
+      check to_gui (GuiDecoding.to_gui proto) in
     assert (check_to_gui (MessageFromClient (32, "Hello")));
 (*  assert (check_to_gui (File_info file_info_test));  *)
     assert (check_to_gui (DownloadFiles [file_info_test]));
@@ -1146,7 +1154,7 @@
   assert (check_to_gui (Add_plugin_option ("section", "message", "option", StringEntry )));
 *)  
     let check_from_gui = 
-      check ( from_gui proto (fun s -> s) )  (GuiDecoding.from_gui proto (fun s->s)) in
+      check (from_gui proto)  (GuiDecoding.from_gui proto) in
     assert (check_from_gui (MessageToClient (33, "Bye")));
     assert (check_from_gui (GuiExtensions [1, true; 2, false]));
     assert (check_from_gui GetConnectedServers);
diff -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./src/daemon/common/guiEncoding.mli ./src/daemon/common/guiEncoding.mli
--- ./src/daemon/common/guiEncoding.mli	2005-03-20 02:41:29.000000000 +0100
+++ ./src/daemon/common/guiEncoding.mli	2005-04-04 22:34:51.000000000 +0200
@@ -19,6 +19,6 @@
 
 
 val gui_send : (Buffer.t -> 'a -> 'b) -> TcpBufferedSocket.t -> 'a -> unit
-val from_gui : int array -> ( string -> string ) -> Buffer.t -> GuiProto.from_gui -> unit
-val to_gui : int array -> ( string -> string ) -> Buffer.t -> GuiProto.to_gui -> unit
+val from_gui : int array -> Buffer.t -> GuiProto.from_gui -> unit
+val to_gui : int array -> Buffer.t -> GuiProto.to_gui -> unit
   
diff -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./src/daemon/driver/driverInterface.ml ./src/daemon/driver/driverInterface.ml
--- ./src/daemon/driver/driverInterface.ml	2005-03-20 02:41:29.000000000 +0100
+++ ./src/daemon/driver/driverInterface.ml	2005-04-04 22:34:51.000000000 +0200
@@ -42,10 +42,6 @@
 open CommonGlobals
   
 module P = GuiProto
-  
-let charset_to_gui s = s
-
-let charset_from_gui s = s
 
 let binary_gui_send gui t =
   match gui.gui_sock with
@@ -53,7 +49,7 @@
       Fifo.put core_gui_fifo t
   | Some sock ->
       try
-        GuiEncoding.gui_send (GuiEncoding.to_gui gui.gui_proto_to_gui_version charset_to_gui ) 
+        GuiEncoding.gui_send (GuiEncoding.to_gui gui.gui_proto_to_gui_version) 
         sock t
       with UnsupportedGuiMessage -> 
 (* the message is probably not supported by this GUI *)
@@ -1116,8 +1112,7 @@
         TcpBufferedSocket.set_reader sock (GuiDecoding.gui_cut_messages
             (fun opcode s ->
               try
-                let m = GuiDecoding.from_gui gui.gui_proto_from_gui_version
-                charset_from_gui opcode s in
+                let m = GuiDecoding.from_gui gui.gui_proto_from_gui_version opcode s in
                 gui_reader gui m sock;
               with GuiDecoding.FromGuiMessageNotImplemented -> ()
           ));
diff -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -u -N -r -E -B ./src/gtk2/gui/guiCom.ml ./src/gtk2/gui/guiCom.ml
--- ./src/gtk2/gui/guiCom.ml	2005-03-20 02:41:29.000000000 +0100
+++ ./src/gtk2/gui/guiCom.ml	2005-04-04 22:34:51.000000000 +0200
@@ -69,7 +69,7 @@
     None -> 
       lprintf "Message not sent since not connected\n";
   | Some sock ->
-      GuiEncoding.gui_send (GuiEncoding.from_gui from_gui_protocol_used (Glib.Convert.convert ~to_codeset:"ISO-8859-1" ~from_codeset:"UTF-8") ) sock t
+      GuiEncoding.gui_send (GuiEncoding.from_gui from_gui_protocol_used) sock t
           
 let reconnect (gui : gui) value_reader arg reason =
   (try disconnect gui reason with _ -> ());
@@ -132,7 +132,7 @@
       GuiDecoding.gui_cut_messages
         (fun opcode s ->
           try
-            let m = GuiDecoding.to_gui to_gui_protocol_used (Glib.Convert.convert ~to_codeset:"UTF-8" ~from_codeset:"ISO-8859-1") opcode s in
+            let m = GuiDecoding.to_gui to_gui_protocol_used opcode s in
             value_reader arg m;
           with e ->
               lprintf "Exception %s in decode/exec\n" (Printexc2.to_string e); 
@@ -220,7 +220,7 @@
                 BASIC_EVENT (RTIMEOUT) -> close sock Closed_for_timeout
               | _ -> ()
           ) in
-        GuiEncoding.gui_send (GuiEncoding.from_gui from_gui_protocol_used (Glib.Convert.convert ~to_codeset:"ISO-8859-1" ~from_codeset:"UTF-8") ) sock 
+        GuiEncoding.gui_send (GuiEncoding.from_gui from_gui_protocol_used) sock 
           (GuiProto.GuiProtocol GuiProto.best_gui_version);
         set_closer sock (fun _ _ -> 
             scan_port next (i+1) max);
@@ -231,9 +231,7 @@
             GuiDecoding.gui_cut_messages
               (fun opcode s ->
                 try
-                  let m = GuiDecoding.to_gui to_gui_protocol_used
-                      (Glib.Convert.convert ~to_codeset:"UTF-8"
-		                  ~from_codeset:"ISO-8859-1") opcode s in
+                  let m = GuiDecoding.to_gui to_gui_protocol_used opcode s in
                   match m with
                     CoreProtocol (n, _, _) -> 
                       lprintf "GUI version %d on port %d" n i;
